This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1270292 - [epel7s390x] php-pecl-msgpack SRPM does not build correctly on s390x
[epel7s390x] php-pecl-msgpack SRPM does not build correctly on s390x
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: php-pecl-msgpack (Show other bugs)
epel7
s390x Linux
high Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks: epel7s390x
  Show dependency treegraph
 
Reported: 2015-10-09 10:13 EDT by IBM Bug Proxy
Modified: 2017-03-20 02:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Build Log (99.34 KB, text/plain)
2015-10-09 10:13 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 131555 None None None Never

  None (edit)
Description IBM Bug Proxy 2015-10-09 10:13:27 EDT

    
Comment 1 IBM Bug Proxy 2015-10-09 10:13:29 EDT
The EPEL 7 SRPM for php-pecl-msgpack 
https://dl.fedoraproject.org/pub/epel/7/SRPMS/p/php-pecl-msgpack-0.5.5-5.el7.src.rpm
does not build correctly in Mock on s390x.

13 Total test failures shown below:

broken random data test : MessagePackUnpacker::execute [tests/040d.phpt]
Check for unbuffered streaming unserialization [tests/061.phpt]
Extra bytes unbuffered streaming unserialization [tests/063.phpt]
Check for unbuffered streaming unserialization (single) [tests/065.phpt]
Extra bytes unbuffered streaming unserialization (single) [tests/067.phpt]
Check for class methods unpacker [tests/072.phpt]
Check for class unpacker [tests/073.phpt]
disabled php only for class methods unpacker (ini_set) [tests/082.phpt]
disabled php only for class unpacker (ini_set) [tests/083.phpt]
disabled php only for class methods unpacker (constract) [tests/085.phpt]
disabled php only for class unpacker (constract) [tests/086.phpt]
disabled php only for class methods unpacker (set option) [tests/088.phpt]
disabled php only for class unpacker (set option) [tests/089.phpt]
Comment 2 IBM Bug Proxy 2015-10-09 10:13:34 EDT
Created attachment 1081351 [details]
Build Log
Comment 3 IBM Bug Proxy 2016-01-28 07:41:42 EST
------- Comment From vsandhya@in.ibm.com 2016-01-28 07:34 EDT-------
Redhat,

Any updates?
Comment 4 Dan Horák 2016-01-28 10:07:08 EST
Even the latest version fails in Fedora (http://s390.koji.fedoraproject.org/koji/buildinfo?buildID=359517), so we are waiting for a fix.

Is the issue reported in upstream or is the fix known otherwise?
Comment 5 Remi Collet 2016-01-28 10:10:14 EST
msgpack doesn't support bigendian.

https://github.com/msgpack/msgpack-php/issues/25

Already have ExcludeArch: ppc64
Should probably add s390x
Comment 6 Dan Horák 2016-01-28 10:21:21 EST
FWIW msgpack itself was fixed for big endian in the 0.5.x versions, although the new 1.x are broken again - http://s390.koji.fedoraproject.org/koji/packageinfo?packageID=13994
Comment 7 IBM Bug Proxy 2017-03-20 02:30:51 EDT
------- Comment From urjawere@in.ibm.com 2017-03-20 02:23 EDT-------
Any Updates?

Note You need to log in before you can comment on or make changes to this bug.